# GET Teams by Search

{% hint style="success" %}
You can also use the `seasonDetails` include to enrich the response with detailed information about the team per season, like the car information, team lead and branding. The type reference for these details are described in [Metadata & Per-Season Data Type Reference](/v3/motorsport-api/welcome/metadata-and-per-season-data-type-reference.md).
{% endhint %}

{% tabs %}
{% tab title="Base URL" %}

```javascript
https://api.sportmonks.com/v3/motorsport/teams/search/SEARCH_QUERY
```

{% endtab %}

{% tab title="Example Response" %}

```json
{
    "data": {
        "id": 276189,
        "sport_id": 2,
        "country_id": 251,
        "venue_id": null,
        "gender": "neutral",
        "name": "Ferrari",
        "short_code": "FER",
        "image_path": "https://cdn.sportmonks.com/images/motorsport/teams/29/276189.png",
        "founded": null,
        "type": "hybrid",
        "placeholder": false,
        "last_played_at": "2025-05-17 14:46:00"
    },
```

{% endtab %}

{% tab title="Field Description" %}

| Field            | Description                                                   | Type    |
| ---------------- | ------------------------------------------------------------- | ------- |
| `id`             | Refers to the unique id of the team                           | integer |
| `sport_id`       | Refers to the sport of the team                               | integer |
| `country_id`     | Refers to the country of the team                             | integer |
| `venue_id`       | Not used in the Motorsport API                                | integer |
| `gender`         | Indicates the gender of the team                              | string  |
| `name`           | The name of the team                                          | string  |
| `short_code`     | The short code of the team                                    | string  |
| `image_path`     | Image path to the team logo                                   | string  |
| `founded`        | The founding date of the team                                 | integer |
| `type`           | Indicates the type of the team                                | string  |
| `placeholder`    | Indicates if the team is a placeholder                        | boolean |
| `last_played_at` | Returns the date and time of the team's last attended session | integer |
| {% endtab %}     |                                                               |         |
| {% endtabs %}    |                                                               |         |

{% tabs %}
{% tab title="Query Parameters" %}

<table><thead><tr><th>Query Parameters</th><th width="164.33333333333331">Required?</th><th>Description</th></tr></thead><tbody><tr><td><code>api_token</code></td><td>YES</td><td>Your unique API token</td></tr><tr><td><code>include</code></td><td>NO</td><td>Enrich the API with more data by using includes</td></tr><tr><td><code>select</code></td><td>NO</td><td>Select specific fields on the base entity</td></tr><tr><td><code>filters</code></td><td>NO</td><td><p>Filter the API response on multiple related entities. There are static filters and dynamic filters.</p><p></p><p>Please find the possibilities in the Static and Dynamic Filter tab.</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Static Filters" %}
**Static filters** are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our Filters page.
{% endtab %}

{% tab title="Dynamic Filters" %}
Not applicable for this endpoint.&#x20;
{% endtab %}
{% endtabs %}

#### Pagination

YES

#### Include depth

You can use a total of `3` nested includes on this endpoint

#### Include options

`sport` `country` `drivers` `latest` `upcoming` `seasons` `seasonDetails` `seasonDrivers`

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the Teams endpoints are:

* [Team](/v3/motorsport-api/endpoints-and-entities/entities/team.md)

#### Code Example

{% tabs %}
{% tab title="Ruby" %}

```ruby
require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/motorsport/teams/search/Bull?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body

```

{% endtab %}

{% tab title="Python" %}

```python
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/motorsport/teams/search/Bull?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.sportmonks.com/v3/motorsport/teams/search/Bull?api_token={your_token}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
));

$response = curl_exec($curl);

curl_close($curl);
echo $respons
```

{% endtab %}

{% tab title="Java" %}

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
Request request = new Request.Builder()
  .url("https://api.sportmonks.com/v3/motorsport/teams/search/Bull?api_token={your_token}")
  .method("GET", null)
  .build();
Response response = client.newCall(request).execute();
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
var unirest = require('unirest');
var req = unirest('GET', 'https://api.sportmonks.com/v3/motorsport/teams/search/Bull?api_token={your_token}')
  .end(function (res) { 
    if (res.error) throw new Error(res.error); 
    console.log(res.raw_body);
  });
```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.sportmonks.com/v3/motorsport/teams/search/Bull?api_token={your_token}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/endpoints/teams/get-teams-by-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
